using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace ASPBarCodeNetCSharpDemo
{
	
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Image BarcodeImage;
		protected System.Web.UI.WebControls.HyperLink HyperLink1;

		private int GetColor(String sColor)
		{
			int icolor;
			if(sColor.CompareTo("Black")==0)
			{
				icolor=0;
			}
			else if (sColor.CompareTo("White")==0)
			{
				icolor=255+255*256+255*256*256;// '&HFFFFFF
			}
			else if (sColor.CompareTo("Blue")==0)
			{
				icolor=255*256*256;//   '&HFF0000
			}
			else if (sColor.CompareTo("Green")==0)
			{
				icolor=255*256;// '&H00FF00
			}
			else if (sColor.CompareTo("Red")==0)
			{
				icolor=255;// '&HFF
			}
			else
				icolor=0xFF;
			return icolor;
		}
     
		private void GetFont(stdole.IFontDisp pFont,String sName,String sSize,String sItalic, String sBold)
		{
			pFont.Name=Request.Form[sName];
			pFont.Size=Int32.Parse(Request.Form[sSize]);
			String sTmp=Request.Form[sItalic];
			if(sTmp!= null && sTmp.CompareTo("on")==0)
				pFont.Italic = true;
			else
				pFont.Italic = false;
			sTmp = Request.Form[sBold];
			if(sTmp!=null && sTmp.CompareTo("on")==0)
				pFont.Bold=true;
			else
				pFont.Bold = false;
		}

	
		private void SaveParamIntoSessions()
		{
			// Put user code to initialize the page here
			// get symbolgy 

			ASPXBARCODELib.ASPBarCodeClass barcodeobj = new ASPXBARCODELib.ASPBarCodeClass();
			this.Session["BarcodeObj"]= barcodeobj;

			String sSym =Request.Form["Symbo"];
			
			barcodeobj.barSymbology =  (ASPXBARCODELib.Symbol)Int32.Parse(sSym);
	
		
			barcodeobj.barMessage=Request.Form["Msg"];
			barcodeobj.barBorder = (ASPXBARCODELib.BorderStyle)Int32.Parse(Request.Form["BT"]);
			barcodeobj.barHeight = (short)Int32.Parse(Request.Form["HI"]);
			barcodeobj.barNarrowWidth = (short)Int32.Parse(Request.Form["NW"]);
			barcodeobj.barQuietZone = (short)Int32.Parse(Request.Form["QZ"]);
			barcodeobj.barRatio = Int32.Parse(Request.Form["RA"]);
			barcodeobj.barTopComment = Request.Form["TC"];
			barcodeobj.barBottomComment = Request.Form["BC"];
			barcodeobj.barOrientation = (ASPXBARCODELib.Orientation)Int32.Parse(Request.Form["OR"]);
			barcodeobj.BackColor = (uint)GetColor(Request.Form["BGC"]);
			barcodeobj.barColor = (uint)GetColor(Request.Form["BAC"]);
            stdole.IFontDisp font = barcodeobj.barTopFont;
			GetFont(font,"TFN","TFS","TFI","TFB");
			barcodeobj.barTopFont = font;
			// bottom comment font
			font = barcodeobj.barBottomFont;
			GetFont(font,"BFN","BFS","BFI","BFB");
			barcodeobj.barBottomFont=font; 
			// message font
			font = barcodeobj.barMessageFont;
			GetFont(font,"MFN","MFS","MFI","MFB");
			barcodeobj.barMessageFont=font;

			barcodeobj.barSupplement=Request.Form["SUP"];
			String sTmp=Request.Form["CE"];
			if(sTmp!=null && sTmp.CompareTo("on")==0)
				barcodeobj.barCDEnable= 1;
			else
				barcodeobj.barCDEnable=0;
			sTmp = Request.Form["BM"];
			if(sTmp != null && sTmp.CompareTo("on")==0)
				barcodeobj.barBearerMode=1;
			else
				barcodeobj.barBearerMode=0;

			// 2D specific
			ASPXBARCODELib.Symbol barsym = barcodeobj.barSymbology;
			if(barsym == ASPXBARCODELib.Symbol.BarPDF417)
			{
				barcodeobj.barPDF417NoOfColumns = (short)Int32.Parse(Request.Form["PDFCN"]);
				barcodeobj.barPDF417SecurityLevel = (short)Int32.Parse(Request.Form["PDFEL"]);
			}
			else if(barsym == ASPXBARCODELib.Symbol.BarMicroPDF417)
			{
				barcodeobj.barMicroPDF417Format = (ASPXBARCODELib.MicroPDF417Format)Int32.Parse(Request.Form["MPDFF"]);
			}
			else if(barsym == ASPXBARCODELib.Symbol.BarMaxiCode)
			{
				barcodeobj.barMaxiCodeClassCode=Request.Form["MXCC"];
				barcodeobj.barMaxiCodeCountryCode  =Request.Form["MXCOC"];
				barcodeobj.barMaxiCodePostCode=Request.Form["MXPC"];
				barcodeobj.barMaxiCodeMode = (ASPXBARCODELib.MaxiCodeMode)Int32.Parse(Request.Form["MXM"]);
			}
			else if(barsym == ASPXBARCODELib.Symbol.BarDataMatrix)
			{
				sTmp = Request.Form["DMXF"];
				if(sTmp!=null && sTmp.CompareTo("on")==0)
					barcodeobj.barDataMatrixFNC1=true;
				else
					barcodeobj.barDataMatrixFNC1=false;

				barcodeobj.barDataMatrixStartChar = (ASPXBARCODELib.DataMatrixStartChar)Int32.Parse(Request.Form["DMXSC"]);
				barcodeobj.barDataMatrixFormat=(ASPXBARCODELib.DataMatrixFormat)Int32.Parse(Request.Form["DMXFM"]);
				barcodeobj.barDataMatrixEncodeMode = (ASPXBARCODELib.DataMatrixEncode)Int32.Parse(Request.Form["DMXEM"]);
			}
			else if(barsym == ASPXBARCODELib.Symbol.BarAztecMesas)
			{
				sTmp = Request.Form["AZSS"];
				if(sTmp != null && sTmp.CompareTo("on")==0)
					barcodeobj.barAztecMesasSingleSide=true;
				else
					barcodeobj.barAztecMesasSingleSide=false;
				barcodeobj.barAztecMesasHostMessage = Request.Form["AZHMSG"];
				barcodeobj.barAztecMesasHostSymbology=(ASPXBARCODELib.Symbol)Int32.Parse(Request.Form["AZHSYM"]);
				barcodeobj.barAztecMesasErrorLevel = (short)Int32.Parse(Request.Form["AZEL"]);
			}
			else if(barsym == ASPXBARCODELib.Symbol.BarQRCode)
			{
				barcodeobj.barQRVersionNumber = (ASPXBARCODELib.QRVersion)Int32.Parse(Request.Form["QRVER"]);
				barcodeobj.barQRFNC1 = (ASPXBARCODELib.QRFNC1Option)Int32.Parse(Request.Form["QRFNC"]);
				barcodeobj.barQRErrorCorrectionLevel=(ASPXBARCODELib.QRErrorLevel)Int32.Parse(Request.Form["QREL"]);
			}


			if(barcodeobj.barSymbology == ASPXBARCODELib.Symbol.BarMaxiCode)
			{
				// It is very important to set the MaxiCode's width.
				Unit u = new Unit(barcodeobj.barBoundaryWidth/1000.00,UnitType.Inch);
				BarcodeImage.Width= u;
				u= new Unit(barcodeobj.barBoundaryHeight/1000.00,UnitType.Inch);
				BarcodeImage.Height=u;
			}
			else
			{
				BarcodeImage.Width = Unit.Empty;
				BarcodeImage.Height = Unit.Empty;
			}
		}


		private void Page_Load(object sender, System.EventArgs e)
		{
		}

	

		

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();

			base.OnInit(e);
			SaveParamIntoSessions();

		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		
		

	

	
	}
}
